// Code generated by "stringer -type=CertificateState -trimprefix=CertificateState -output zzz_CertificateState_string.go"; DO NOT EDIT.

package sectigoapiclient

import "strconv"

func _() {
	// An "invalid array index" compiler error signifies that the constant values have changed.
	// Re-run the stringer command to generate them again.
	var x [1]struct{}
	_ = x[CertificateStateBlank-1]
	_ = x[CertificateStateCreated-2]
	_ = x[CertificateStateRequested-3]
	_ = x[CertificateStateIssued-4]
	_ = x[CertificateStateDownloaded-5]
	_ = x[CertificateStateExpired-6]
	_ = x[CertificateStateRevoked-7]
	_ = x[CertificateStateRejected-8]
	_ = x[CertificateStatePreRevoked-9]
}

const _CertificateState_name = "BlankCreatedRequestedIssuedDownloadedExpiredRevokedRejectedPreRevoked"

var _CertificateState_index = [...]uint8{0, 5, 12, 21, 27, 37, 44, 51, 59, 69}

func (i CertificateState) String() string {
	i -= 1
	if i < 0 || i >= CertificateState(len(_CertificateState_index)-1) {
		return "CertificateState(" + strconv.FormatInt(int64(i+1), 10) + ")"
	}
	return _CertificateState_name[_CertificateState_index[i]:_CertificateState_index[i+1]]
}
